# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting field 'Member.user'
        db.delete_column(u'members_member', 'user_id')

        # Adding field 'Member.password'
        db.add_column(u'members_member', 'password',
                      self.gf('django.db.models.fields.CharField')(default=None, max_length=128),
                      keep_default=False)

        # Adding field 'Member.last_login'
        db.add_column(u'members_member', 'last_login',
                      self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime.now),
                      keep_default=False)


        # Changing field 'Member.city'
        db.alter_column(u'members_member', 'city', self.gf('django.db.models.fields.CharField')(max_length=200, null=True))

        # Changing field 'Member.country'
        db.alter_column(u'members_member', 'country', self.gf('django.db.models.fields.CharField')(max_length=200, null=True))

        # Changing field 'Member.address'
        db.alter_column(u'members_member', 'address', self.gf('django.db.models.fields.TextField')(null=True))
        # Adding unique constraint on 'Member', fields ['ldap_cn']
        db.create_unique(u'members_member', ['ldap_cn'])


    def backwards(self, orm):
        # Removing unique constraint on 'Member', fields ['ldap_cn']
        db.delete_unique(u'members_member', ['ldap_cn'])

        # Adding field 'Member.user'
        db.add_column(u'members_member', 'user',
                      self.gf('django.db.models.fields.related.OneToOneField')(default=None, to=orm['auth.User'], unique=True, null=True, on_delete=models.SET_NULL),
                      keep_default=False)

        # Deleting field 'Member.password'
        db.delete_column(u'members_member', 'password')

        # Deleting field 'Member.last_login'
        db.delete_column(u'members_member', 'last_login')


        # User chose to not deal with backwards NULL issues for 'Member.city'
        raise RuntimeError("Cannot reverse this migration. 'Member.city' and its values cannot be restored.")
        
        # The following code is provided here to aid in writing a correct migration
        # Changing field 'Member.city'
        db.alter_column(u'members_member', 'city', self.gf('django.db.models.fields.CharField')(max_length=200))

        # Changing field 'Member.country'
        db.alter_column(u'members_member', 'country', self.gf('django.db.models.fields.CharField')(max_length=200))

        # User chose to not deal with backwards NULL issues for 'Member.address'
        raise RuntimeError("Cannot reverse this migration. 'Member.address' and its values cannot be restored.")
        
        # The following code is provided here to aid in writing a correct migration
        # Changing field 'Member.address'
        db.alter_column(u'members_member', 'address', self.gf('django.db.models.fields.TextField')())

    models = {
        u'members.cryptokey': {
            'Meta': {'object_name': 'CryptoKey'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.TextField', [], {}),
            'member': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['members.Member']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '3'})
        },
        u'members.ldapgroup': {
            'Meta': {'object_name': 'LdapGroup', 'managed': 'False'},
            'dn': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        u'members.ldapuser': {
            'Meta': {'object_name': 'LdapUser', 'managed': 'False'},
            'dn': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        u'members.member': {
            'Meta': {'object_name': 'Member'},
            'address': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'city': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'country': ('django.db.models.fields.CharField', [], {'default': "'France'", 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'entry_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'home_phone_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'ldap_cn': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'mobile_phone_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'blank': 'True'}),
            'organization_name': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'postal_code': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'resign_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "'non_adherent'", 'max_length': '50'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'personne_physique'", 'max_length': '20'})
        },
        u'members.membershipfee': {
            'Meta': {'object_name': 'MembershipFee'},
            'amount': ('django.db.models.fields.IntegerField', [], {'default': "'20'"}),
            'end_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2015, 8, 24, 0, 0)'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'member': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'membership_fees'", 'to': u"orm['members.Member']"}),
            'start_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.date.today'})
        }
    }

    complete_apps = ['members']